mkdir -p build && cd build && 
cat ../boot-lib.h ../boot.c | sed '/^#/d' > boot-all.c &&
gcc ../boot.c ../boot-lib.c -o gcc.out && 
./gcc.out < boot-all.c > boot1.s && 
gcc -static boot1.s ../boot-lib.c -o boot1.out && 
./boot1.out < boot-all.c > boot2.s && 
gcc -static boot2.s ../boot-lib.c -o boot2.out && 
./boot2.out < boot-all.c > boot3.s &&
cmp --silent boot1.s boot2.s && echo "boot1.s == boot2.s" || echo "boot1.s != boot2.s"
cmp --silent boot2.s boot3.s && echo "boot2.s == boot3.s" || echo "boot2.s != boot3.s"
cmp --silent boot1.s boot3.s && echo "boot1.s == boot3.s" || echo "boot1.s != boot3.s"
rm boot-all.c